Name:          kdiff3
Version:       1.10.0
Release:       1mamba
Summary:       A graphical text difference analyzer for up to 3 input files
Group:         Graphical Desktop/Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://apps.kde.org/kdiff3/
Source:        https://download.kde.org/stable/kdiff3/kdiff3-%{version}.tar.xz
Patch0:        kdiff3-1.9.2-include-limits.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libgcc
BuildRequires: libkauth-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libki18n-devel
BuildRequires: libkio-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libkparts-devel
BuildRequires: libkservice-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libsolid-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: desktop-file-utils

%description
KDiff3 is a program that:
* compares or merges two or three text input files or directories,
* shows the differences line by line and character by character (!),
* provides an automatic merge-facility and
* an integrated editor for comfortable solving of merge-conflicts,
* supports Unicode, UTF-8 and other codecs, autodetection via byte-order-mark "BOM"
* supports KIO on KDE (allows accessing ftp, sftp, fish, smb etc.),
* Printing of differences,
* Manual alignment of lines,
* Automatic merging of version control history ($Log$),
* and has an intuitive graphical user interface.
* Windows-Explorer integration Diff-Ext-for-KDiff3 - shell extension included in installer (originally by Sergey Zorin: see also Diff Ext)
* KDE-Konqueror service menu plugin
* Simplified integration with IBM-Rational-Clearcase for Windows (Details).
* Read what else is special in a short abstract (PDF).

%debug_package

%prep
%setup -q
#%patch0 -p1

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name} --all-name --with-html --with-man

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/kdiff3
%{_libdir}/qt5/plugins/kf5/kfileitemaction/kdiff3fileitemaction.so
%{_libdir}/qt5/plugins/kf5/parts/kdiff3part.so
%{_datadir}/applications/org.kde.kdiff3.desktop
%{_datadir}/metainfo/org.kde.kdiff3.appdata.xml
%{_datadir}/kservices5/kdiff3part.desktop
%dir %{_datadir}/kxmlgui5/kdiff3
%{_datadir}/kxmlgui5/kdiff3/kdiff3_shell.rc
%dir %{_datadir}/kxmlgui5/kdiff3part
%{_datadir}/kxmlgui5/kdiff3part/kdiff3_part.rc
%{_datadir}/icons/hicolor/*/apps/kdiff3.png
%{_datadir}/icons/hicolor/scalable/apps/kdiff3.svgz
%{_mandir}/man1/kdiff3.1*
%doc AUTHORS COPYING

%changelog
* Wed Jan 25 2023 Automatic Build System <autodist@mambasoft.it> 1.10.0-1mamba
- automatic version update by autodist

* Wed Sep 28 2022 Automatic Build System <autodist@mambasoft.it> 1.9.6-1mamba
- automatic version update by autodist

* Thu May 20 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.2-1mamba
- update to 1.9.2

* Tue May 04 2021 Automatic Build System <autodist@mambasoft.it> 1.9.0-1mamba
- automatic version update by autodist

* Thu Jan 21 2021 Automatic Build System <autodist@mambasoft.it> 1.8.5-1mamba
- automatic version update by autodist

* Thu Sep 03 2020 Automatic Build System <autodist@mambasoft.it> 1.8.4-1mamba
- automatic version update by autodist

* Thu Jun 25 2020 Automatic Build System <autodist@mambasoft.it> 1.8.3-1mamba
- automatic version update by autodist

* Sat Mar 28 2020 Automatic Build System <autodist@mambasoft.it> 1.8.2-1mamba
- automatic version update by autodist

* Thu Aug 15 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.1-1mamba
- update to 1.8.1

* Sat Jul 05 2014 Automatic Build System <autodist@mambasoft.it> 0.9.98-1mamba
- automatic version update by autodist

* Wed Jan 02 2013 Automatic Build System <autodist@mambasoft.it> 0.9.97-1mamba
- automatic version update by autodist

* Sun Sep 11 2011 Automatic Build System <autodist@mambasoft.it> 0.9.96-1mamba
- automatic version update by autodist

* Fri Jan 22 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.9.95-1mamba
- package created by autospec
